## imcode.server.document
Class DocumentPermissionSets

    java.lang.Object
      imcode.server.document.DocumentPermissionSets

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class DocumentPermissionSets

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

Constructor Summary
`DocumentPermissionSets()`

Method Summary
`DocumentPermissionSets` `clone()`
`DocumentPermissionSetDomainObject` `getRestricted(int n)`
`DocumentPermissionSetDomainObject` `getRestricted1()`
`DocumentPermissionSetDomainObject` `getRestricted2()`
`void` `setRestricted1(DocumentPermissionSetDomainObject restricted1)`
`void` `setRestricted2(DocumentPermissionSetDomainObject restricted2)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentPermissionSets

    public DocumentPermissionSets()

Method Detail

### setRestricted1

    public void setRestricted1(DocumentPermissionSetDomainObject restricted1)

### setRestricted2

    public void setRestricted2(DocumentPermissionSetDomainObject restricted2)

### getRestricted1

    public DocumentPermissionSetDomainObject getRestricted1()

### getRestricted2

    public DocumentPermissionSetDomainObject getRestricted2()

### getRestricted

    public DocumentPermissionSetDomainObject getRestricted(int n)

### clone

    public DocumentPermissionSets clone()

  Overrides:
    `clone` in class `java.lang.Object`